# PowerManagementEventException (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class PowerManagementEventException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.lwjgl.opengles.PowerManagementEventException

All Implemented Interfaces:
  java.io.Serializable

    public class PowerManagementEventException

extends java.lang.RuntimeException

A PowerManagementEventException exception will be thrown when a call to eglSwapBuffers, eglCopyBuffers or eglMakeCurrent returns EGL_FALSE and the EGL_ERROR generated is EGL_CONTEXT_LOST.

On detection of this error, the application must destroy all contexts. To continue rendering the application must recreate any contexts it requires, and subsequently restore any client API state and objects it wishes to use.

Note that not all implementations can be made to generate power management events, and developers should continue to refer to platform-specific documentation in this area.

See Also:
  Serialized Form

Constructor Summary
`PowerManagementEventException()`
`PowerManagementEventException(java.lang.String message)`
`PowerManagementEventException(java.lang.String message, java.lang.Throwable cause)`
`PowerManagementEventException(java.lang.Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PowerManagementEventException

    public PowerManagementEventException()

### PowerManagementEventException

    public PowerManagementEventException(java.lang.String message)

### PowerManagementEventException

    public PowerManagementEventException(java.lang.String message,
                                         java.lang.Throwable cause)

### PowerManagementEventException

    public PowerManagementEventException(java.lang.Throwable cause)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.